package ru.somecompany.service.adapter;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import ru.somecompany.domain.CompanyResponse;
import ru.somecompany.external.CompanyClient;

import java.util.UUID;

@Service
@RequiredArgsConstructor
public class CompanyAdapterImpl implements CompanyAdapter {

    private final CompanyClient companyClient;

    @Override
    public CompanyResponse getCompanyById(UUID companyId) {
        return companyClient.getCompany(companyId);
    }
}
