# Лабораторная работа №1 - Знакомство с docker и docker-compose  

## Выбранные сервисы: 
1. WordPress - платформа для публикаций
2. MySQL - база данных для WordPress
3. MediaWiki - вики-движок

## Запуск
Запуск производится посредством команды  
```docker-compose up -d```  
В консоль выведется информация о запуске:  
```
[+] Running 4/4
✔ Network tsukanova_irina_lab_1_app-network  Created           0.1s
✔ Container mediawiki_app                    Started           0.9s
✔ Container mysql                            Started           0.8s
✔ Container wordpress_app                    Started           1.2s
```

## Содержимое docker-compose.yml
У всех сервисов указан ```image``` - это шаблон среды для контейнера. Образ служит "базовой" версией, на основе которой создаются контейнеры.  
```container_name``` - можно указать, как будет называться контейнер.  
```ports``` - для проброса порта, чтобы можно было иметь доступ к сервису с хоста.  
```environment``` - для указания переменных окружения, которые передаются контейнеру при его запуске.
```volumes``` - для организации постоянного хранилища данных контейнеров Docker.  
```networks``` - определяет, как контейнеры взаимодействуют между собой и с внешним миром через сети.  

## Скриншот работы
Docker Desktop:  
![скриншот](screenshot.png)

## [Видео](https://drive.google.com/file/d/170k0_yR2gbg3eCDSanJmGT8NXN3PkKSf/view?usp=sharing)
