﻿using DSaC_second.Models.DTOs;
using MediatR;

namespace DSaC_second.Models.Internal.Queries
{
    public class GetContractsQuery : IRequest<ResponseModel<List<ContractViewDto>>>
    {
        public List<Guid>? Ids { get; set; }

        public int Page { get; set; }

        public int PageSize { get; set; }
    }
}
